Dir.glob('**/*'){|entry|
  case entry
  when /~$/, /\.~/, /\.old$/i, /\.rej$/i
    $stderr.print "delete #{entry}\n"
    File.delete entry
  when /\.dcu$/i, /\.dpu$/i, /\.dcp$/i
    next if /^bin/ =~ entry
    next if /^lib/ =~ entry
    $stderr.print "delete #{entry}\n"
    File.delete entry
  end
}
